package com.zy.omp.common;

/**
 * 常量
 *
 * @author yang xiao kun
 * create on 2021/2/2
 */
public class Constant {


    public static final String OLD_PHONE_DEVICE_ID_PREFIX = "omp_";//老人机项目设备注册MQTT用户名前缀
    public static final String LP_DEVICE_ID_PREFIX = "IMEI";//路牌项目设备注册MQTT用户名前缀

    /**
     * redis key前缀
     */
    public static final String REDIS_LOCATION = "omp:device:location";//数据上传位置信息前缀
    public static final String REDIS_TOKEN_PREFIX = "omp:user:token:";//PC管理员登录token 前缀

    /**
     * MQTT 协议报文 中 M值
     */
    public static final String M_CODE_REGISTER = "10";//注册
    public static final String M_CODE_RETURN_CODE = "11";//返回授权码
    public static final String M_CODE_UPLOAD_LOCATION = "20";//设备上传位置信息
    public static final String M_CODE_GPS_RATE = "31";//定位频率
    public static final String M_CODE_SOS = "33";//紧急呼救
    public static final String M_CODE_VOLUME = "34";//音量
    public static final String M_CODE_AUTO_ANSWER = "36";//自动接听
    public static final String M_CODE_NEWS = "39";//语音播报
    public static final String M_CODE_UPLOAD_CALL_RECORD = "40";//设备上传通话记录
    public static final String M_CODE_CONTINUE_GPS = "41";//设备连续定位设置

    public static final String M_CODE_UPLOAD_INFO_LP = "70";//路牌设备上传信息
    public static final String M_CODE_UPDATE_DEVICE_INFO_LP = "71";//同步更新路牌设备信息
    public static final String M_CODE_UPLOAD_LOCATION_INFO_LP = "72";//路牌设备上传定位信息

    /**
     * 主题前缀
     * SERVER为服务器订阅主题  用来接收设备发来消息
     * CLIENT为设备订阅主题    用来发送消息给设备
     */
    public static final String TOPIC_REGISTER_SERVER = "$regdtx";
    public static final String TOPIC_REGISTER_CLIENT = "$regdrx";
    public static final String TOPIC_DEVICE_SERVER = "$dtx/";
    public static final String TOPIC_DEVICE_CLIENT = "$drx/";

    /**
     * 路牌
     */
    public static final String TOPIC_REGISTER_SERVER_LP = "$regdtx2";
    public static final String TOPIC_REGISTER_CLIENT_LP = "$regdrx2";
    public static final String TOPIC_DEVICE_SERVER_LP = "$dtxlp/";
    public static final String TOPIC_DEVICE_CLIENT_LP = "$drxlp/IMEI";

    /**
     * 微信小程序登录相关配置
     */
    public static final String wxAppId = "wxe90699b45e28a0b6";// 小程序唯一标识
    public static final String wxSecret = "66690a1ffcfe7f1d85a6dcfa38791f25";//小程序的 app secret
    public static final String grant_type = "authorization_code"; // 授权（必填）
}
