package com.zy.omp.mapper;

import com.zy.omp.model.DeviceLp;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 设备-路牌 Mapper 接口
 * </p>
 *
 * @author chenyi
 * @since 2021-06-12
 */
@Mapper
@Repository
public interface DeviceLpMapper extends BaseMapper<DeviceLp> {
    /**
     * 更新可设置参数
     */
    void updateParam(@Param("entity") DeviceLp deviceLp);
}
